
Ruby - Bug #12265

did_you_mean spell checker crash

04/10/2016 08:43 PM - durfee (Sean Durfee)

Status: Closed   

Priority: Normal   

Assignee: durfee (Sean Durfee)   

Target version:    

ruby -v: 2.3.0p0 (2015-12-25 revision 53290) Backport: 2.1: DONTNEED, 2.2: DONTNEED, 2.3:

DONE

Description

I'm not entirely sure what went wrong. I fixed a bracket error in my code and it started throwing this.

If you need anything else from me/I can help at all, please let me know.

Related issues:

Is duplicate of Ruby - Bug #11928: Segmentation fault in did_you_mean extension Closed

History

#1 - 04/10/2016 08:49 PM - durfee (Sean Durfee)

Apparently there was a method I forgot to define. Running rake test:controllers first, followed by rake test:modules let me track down the issue. Bug

no longer throws.

#2 - 04/11/2016 03:09 AM - nobu (Nobuyoshi Nakada)

- Is duplicate of Bug #11928: Segmentation fault in did_you_mean extension added

#3 - 04/11/2016 03:11 AM - nobu (Nobuyoshi Nakada)

- File bug-12265.log added

- Description updated

- Status changed from Open to Closed

- Backport changed from 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: UNKNOWN to 2.1: DONTNEED, 2.2: DONTNEED, 2.3: DONE

Files

bug-12265.log 6.75 KB 04/11/2016 nobu (Nobuyoshi Nakada)
